Skip to main content
POST
/
app
/
v2
/
search
Get AI Article Recommendations
curl --request POST \
  --url https://api.dappier.com/app/v2/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "similarity_top_k": 9,
  "ref": "<string>",
  "num_articles_ref": 0,
  "search_algorithm": "most_recent",
  "page": 1,
  "num_results": 10
}
'
{
  "status": "<string>",
  "response": {
    "query": "<string>",
    "results": [
      {
        "author": "<string>",
        "image_url": "<string>",
        "preview_content": "<string>",
        "pubdate": "<string>",
        "pubdate_unix": 123,
        "score": 123,
        "site": "<string>",
        "site_domain": "<string>",
        "source_url": "<string>",
        "summary": "<string>",
        "title": "<string>",
        "url": "<string>"
      }
    ],
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

data_model_id
string
required

Data model ID, starting with dm_.

Body

application/json
query
string
required

Natural language query, keyword, or URL. If a URL is specified, our AI analyzes the page context, summarizes it, and provides semantic recommendations based on the content.

similarity_top_k
integer
default:9

The number of articles to return.

ref
string

The site domain where AI recommendations are being displayed. Example format: dappier.com.

num_articles_ref
integer
default:0

The minimum number of articles from the ref domain specified above. The rest of the articles will come from other sites within the RAG model.

search_algorithm
enum<string>

The search algorithm for retrieving articles. most_recent: Retrieves the most recent articles by publication date. semantic (default): Retrieves contextually relevant articles based on the query or the page content from the provided URL. most_recent_semantic: Performs semantic search and retrieves the most recent articles by publication date. trending: Performs a trending search and retrieves the most relevant articles to trending keywords in the past 24 hours.

Available options:
most_recent,
semantic,
most_recent_semantic,
trending
page
integer
default:1

Page number for pagination.

num_results
integer
default:10

Number of results per page.

Response

200 - application/json

Successful response with article recommendations.

status
string

The status of the API response.

response
object